Bug 65436 - printconf-tui fails on server install of RHL
Summary: printconf-tui fails on server install of RHL
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
: 74220 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-24 02:47 UTC by Rob Kearey
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-18 07:24:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
printconf-tui segfault - strace (14.75 KB, text/plain)
2002-05-24 03:08 UTC, Rob Kearey
no flags Details

Description Rob Kearey 2002-05-24 02:47:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; MSIE 6.999; Windows ME)

Description of problem:
No entries exist for printconf-tui in /etc/pam.d/ or /etc/security/console.apps

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1 - Server install of 7.3 (ie, no X)
2 - log in as root, or su thereto
3 - run printconf-tui


Actual Results:  printconf-tui segfaults

Expected Results:  printconf-tui should run

Additional info:

Problem fixed by 

cp /etc/pam.d/authconfig /etc/pam.d/printconf-tui
cp /etc/security/console.apps/authconfig /etc/security/console.apps/printconf-tui

Looks like bugs in both printconf and userhelper. Userhelper is just a
hinderance on X-less systems.

Mad propz to nalin for pointing out the fix.

Comment 1 Rob Kearey 2002-05-24 03:08:32 UTC
Created attachment 58364 [details]
printconf-tui segfault - strace

Comment 2 Rob Kearey 2002-05-24 03:11:07 UTC
Forgot to mention it's printconf-0.3.77-1, though that should be obvious enough :)


Comment 3 Tim Waugh 2002-05-24 06:49:05 UTC
The PAM files are in the -gui package by mistake.  Fixed in CVS.

Comment 4 Bob Cochran 2002-07-04 04:40:25 UTC
So you need 4 files in all for printconf-tui to work without segfaulting?
Specifically these:

/etc/pam.d/printconf-tui
/etc/pam.d/redhat-config-printer-tui
/etc/security/console.apps/printconf-tui
/etc/security/console.apps/redhat-config-printer-tui

Thanks,

Bob Cochran
Greenbelt, Maryland, USA

Comment 5 Tim Waugh 2002-07-04 06:43:25 UTC
Yes.  Fixed package is 0.4.6-1 (although it will be easier for you to grab 
those files, or just install printconf-gui).

Comment 6 Tim Waugh 2002-09-18 07:24:48 UTC
*** Bug 74220 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.